Piwigo Bugtracker

Piwigo bug tracker has moved to Github

This bugtracker is kept to provide history on old issues.


View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002791Piwigophotospublic2012.11.24 09:552014.08.22 10:02
Reporterplg 
Assigned Toplg 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version2.5.0RC1Fixed in Version2.7.0RC1 
Summary0002791: [Batch Manager] filter on file size
Descriptionwe can already filter on image dimensions, filtering on file weight would be useful
TagsNo tags attached.
browserany
Database engine and version
PHP version
Web serverApache 1.3.x
Attached Files

- Relationships

-  Notes
(0006748)
Tadjio (reporter)
2012.11.24 12:14

The expression "file weight" may be confusing in English.
I suggest we refer to "File Size (in bytes)" or "(Kb)" or "(Mb)" where Mb could be one decimal place.
(0007086)
Tadjio (reporter)
2013.07.02 00:52

Could the 4 Batch Manager requests be included in 2.6? (please)
(0007564)
svn (reporter)
2014.08.21 19:10

[Subversion] r29238 by plg on trunk

-----[Subversion commit log]----------------------------------------------------
feature 2791: batch manager, filter by filesize
(0007568)
plg (manager)
2014.08.21 19:22

Tadjio, can you test it?
(0007569)
Tadjio (reporter)
2014.08.21 19:31

With a very quick test it works.
I personally don't like the use of a slider but I can live with it.
I am a 'numbers' man and I want to type in my request!

The slider is non-linear which is confusing. Why?
(0007570)
Tadjio (reporter)
2014.08.21 19:34

PS The Dimensions Pixel Size filter is in nice bright orange.
Should this be the same?
(0007571)
svn (reporter)
2014.08.21 19:45

[Subversion] r29239 by plg on trunk

-----[Subversion commit log]----------------------------------------------------
feature 2791: apply the same color as for dimensions filter
(0007572)
plg (manager)
2014.08.21 19:48

> With a very quick test it works.

Cool :-) It also works on my dev instance.

> I personally don't like the use of a slider but I can live with it.

Sliders are very useful because they avoid wrong user input. They are very "intuitive": you can hardly do things the wrong way (as a user)

> The slider is non-linear which is confusing. Why?

because it takes the real file size values found in your database. Which make the slider much more relevant than a raw text input field.
(0007573)
Tadjio (reporter)
2014.08.21 20:14

A slider gives repeated wrong user selection until you grind to a halt more or less where you want to be ;)
A numeric entry gets there first go.

The slider is not relevant to me, weighted like it is.
If it says "between 0.1 and 11.8 MB" then I intuitively think half-way is about 6Mb and NOT 1.4MB which is what I get.

Go figure!
(0007574)
plg (manager)
2014.08.21 20:17

The idea behind "real values" in slider, is that each time you move the slider, you will have a different set of photos. If we make an arbitrary scale, it would not match specific cases, such as only small photos or only huge photos...

Anyway, I think it's OK :-)
(0007575)
Tadjio (reporter)
2014.08.21 20:27

One more time, then it is time for my dinner...


If I want photos of a certain Filesize and above, how do I select them?
I look at the slider 'scale' 0.1 to 11.8 MB
Then I decide I want those larger than 6MB

How would you do it?
(0007576)
plg (manager)
2014.08.21 20:41

Larger than 6MB? just move the left slider handle to 6MB and move the right slider handle to the maximum value.
(0007577)
plg (manager)
2014.08.21 20:44

Much less "intuitive", you can use the "search filter" and use the syntax "filesize:8m..10m" if you really don't like the slider.
(0007578)
Tadjio (reporter)
2014.08.21 23:15

No thanks, Pierrick, I am not that desperate!
Of course I can cope with the slider but it is non-lineaar and non-intuitive, especially if someone doesn't know or understand why!!!

I just retried my test:
There are many steps from 0.1 to 11.8 Mb
15 steps linearly from 0.1 to 1.5Mb (half way physcally on the slider)
then 4 steps up to 2.2Mb
then it jumps 4,1, 4.4, 5.7
and continues 7.3, 9.6, 9.7, 10.2, 10.3 and 11.8

You cannot slide the slider smoothly until it stops just after 6Mb at 7.3Mb, then you step back one to 5.7Mb, then you dither where to go...

I make that about 24 actions, compared with typing in the number 6.

I would prefer a linear scale from the min to the max and have the slider step from available figure to the next, rather than the non-linear approach based on quantity of images.

"do as you wish and damn the consequences" ;)
(0007579)
Tadjio (reporter)
2014.08.21 23:15

I have a suggesstion, that you display the number of images 'selected' for each step of the slider.
(0007580)
Tadjio (reporter)
2014.08.21 23:17
edited on: 2014.08.21 23:18

Last one tonight:
The slider scale (i.e. Min and Max) seem to be for all images in the gallery, not for the selection.
(I selected one album only)
This makes the slider much more relevant (to quote someone;)

(0007581)
plg (manager)
2014.08.22 10:01

I understand your points, but I also see why it's a problem to have :

* a textbox: users will make errors

* a linear scale: imagine you have a 200MB video

For now, and to be consistent with the "filter on dimensions", I keep it the way it has been implemented for Piwigo 2.7. We can discuss on the forum how it could be improved, but I'm not sure it's that important to change a feature that works fine and is easy to use.

- Issue History
Date Modified Username Field Change
2012.11.24 09:55 plg New Issue
2012.11.24 09:55 plg Status new => assigned
2012.11.24 09:55 plg Assigned To => plg
2012.11.24 09:55 plg browser => any
2012.11.24 09:55 plg Web server => Apache 1.3.x
2012.11.24 12:14 Tadjio Note Added: 0006748
2012.12.13 15:34 plg Summary [Batch Manager] filter on file weight => [Batch Manager] filter on file size
2013.07.02 00:52 Tadjio Note Added: 0007086
2014.08.21 19:10 svn Checkin
2014.08.21 19:10 svn Note Added: 0007564
2014.08.21 19:22 plg Note Added: 0007568
2014.08.21 19:31 Tadjio Note Added: 0007569
2014.08.21 19:34 Tadjio Note Added: 0007570
2014.08.21 19:45 svn Checkin
2014.08.21 19:45 svn Note Added: 0007571
2014.08.21 19:48 plg Note Added: 0007572
2014.08.21 20:14 Tadjio Note Added: 0007573
2014.08.21 20:17 plg Note Added: 0007574
2014.08.21 20:27 Tadjio Note Added: 0007575
2014.08.21 20:41 plg Note Added: 0007576
2014.08.21 20:44 plg Note Added: 0007577
2014.08.21 23:15 Tadjio Note Added: 0007578
2014.08.21 23:15 Tadjio Note Added: 0007579
2014.08.21 23:17 Tadjio Note Added: 0007580
2014.08.21 23:17 Tadjio Note Edited: 0007580
2014.08.21 23:18 Tadjio Note Edited: 0007580
2014.08.22 10:01 plg Note Added: 0007581
2014.08.22 10:02 plg Status assigned => closed
2014.08.22 10:02 plg Resolution open => fixed
2014.08.22 10:02 plg Fixed in Version => 2.7.0beta3


Copyright © 2000 - 2017 MantisBT Team
Contact
Powered by Mantis Bugtracker